**`Curriculum vitae`[OTHERS_HEADING]** -NL- PERSONAL INFORMATION **`Andrei Stanciu `[NAME]**-NL- 53 Ravenscroft Street, London, E2 7QG (United Kingdom) -NL- **`+447448830353 `[PHONES_PHONE]**-NL- **`andrei.stanciu89@gmail.com`[EMAILS_EMAIL]** -NL- **`Andrei Stanciu `[NAME]**-NL- Sex Male | Date of birth 08/02/1989 | Nationality Romanian -NL- **`WORK EXPERIENCE`[WORK_EXPERIENCE_HEADING]** -NL- Apr 2018–Present **`Android Developer`[EMPLOYER_ROLE]** -NL- **`Lloyds Banking Group`[EMPLOYER_COMPANY_NAME]**, London (United Kingdom) -NL- - Architect and develop new features for the company's app -NL- - Testing and bug fixing -NL- - Writing unit tests and integration tests -NL- - Refactoring legacy code -NL- At **`Lloyds Banking Group`[EMPLOYER_COMPANY_NAME]**, I am working in one of more than 10 multi functional teams, totalling over 30 -NL- Android Developers. This came with its own set of challenges, in regards to ways of working together -NL- efficiently, including abiding to very strict coding standards, backed by a comprehensive code review -NL- process, and automated code quality tool checks. The project itself was configured to output 6 -NL- different apps, for the different brands that are part of **`Lloyds Banking Group`[EMPLOYER_COMPANY_NAME]**, from the same -NL- codebase. The architecture played a very big role, and we faced constant challenges, as to how to -NL- implement certain features and functionalities, with respect to the differences between the different -NL- apps, as well as maintaining a clean and maintainable codebase. All backed by a strict requirement -NL- for 100% unit test coverage in the business and presentation layers, enforced using test coverage -NL- tools. -NL- Some of the features my team was responsible for, include integrating a new brand into the app, that -NL- the group had just acquired prior to me joining; integrating pension accounts for Lloyds customers, -NL- from a 3rd party vendor that the Group started a partnership with; integrating ads (backed by an -NL- internal content management system); investigating and fixing the ever present bugs. -NL- In February I was moved as a matter of urgency to the team responsible for Open Banking, which -NL- was behind schedule due to a plethora technical challenges. After rewriting a bit part of the Android -NL- app's (legacy) network layer, we managed to successfully deliver the functionality within the -NL- Regulator imposed deadline. Throughout this time, I ended up acting as a communication bridge -NL- between the backend, frontend, and mobile teams. -NL- Jun 2017–Apr 2018 **`Android Developer`[EMPLOYER_ROLE]** -NL- **`Hostelworld`[EMPLOYER_COMPANY_NAME]**, London (United Kingdom) -NL- - Design and develop new features for the company's app -NL- - Testing and bug fixing -NL- - Writing unit tests and integration tests -NL- - Refactoring legacy code -NL- - Close collaboration with the backend team and the UI designers -NL- - Involvement in business analysis and suggesting the best solutions based on user experience -NL- - Using subversion tools- Github -NL- - Using Issue & Project tracking tools - Jira -NL- At **`Hostelworld`[EMPLOYER_COMPANY_NAME]** I was part of a 5-man team, maintaining and developing new features for the -NL- company's app. I used my time there to do extensive research into various patterns and best -NL- 13/5/19 -NL- © European Union, 2002-2019 | http://europass.cedefop.europa.eu -NL- Page 1 / 5 -NL- **`Curriculum vitae`[OTHERS_HEADING]** -NL- **`Andrei Stanciu `[NAME]**-NL- practices, clean code and architecture being our main focus when refactoring legacy code. I -NL- developed my unit testing knowledge, as well as integration testing, using espresso and Dagger 2. -NL- Components that I ended up taking ownership for, include the Social Chat and the Wishlists sections. -NL- Feb 2016–Jun 2017 **`Android Developer`[EMPLOYER_ROLE]** -NL- **`PULSELIVE`[EMPLOYER_COMPANY_NAME]**, LONDON (United Kingdom) -NL- - Design and develop complex mobile applications -NL- - Testing and bug fixing -NL- - Close collaboration with the backend team and the UI designers -NL- - Involvement in business analysis and suggesting the best solutions based on user experience -NL- - Using subversion tools- Github -NL- - Using Issue & Project tracking tools- Trello / Jira -NL- The first project I worked on at Pulselive was the official Premier League app, part of a 3 man team. It -NL- is aimed at fans, providing personalized content about the teams, players, stats, standings, based on -NL- their preferences. The sections of the app I am doing include the onboarding, registration and login -NL- areas, as well as the clubs and players lists, details, filtering and statistics screens (That pretty much -NL- covers everything except the fantasy game section, and the home screen). I had to continously -NL- colaborate with the design and backend team, as seamless data syncing and high quality UX were -NL- our to priorities. -NL- During this project, I developed an extension of the RecyclerView and the RecyclerView.Adapter that -NL- make it very easy to implement a widget based system. We ended up making this into an inhouse -NL- library to be used it all of our future projects. -NL- https://play.google.com/store/apps/details?id=com.pl.premierleague -NL- Following that, I was part of a 2 man team, working on the official tennis WTA Finals app. This was a -NL- revamp of last year's app, including a full reskin, and various improvements. One of the new modules I -NL- have done from scratch is the "Selfie Module" which, as the name implies, allows the user to take a -NL- selfie, that automatically gets composed with one of some preset images, which he can then save and -NL- share on social medias. -NL- https://play.google.com/store/apps/details?id=com.sap.wtachamps -NL- Next, I started working on the official Rugby Sevens App. I worked alone on this project, starting it -NL- from scratch. This was the first app at Pulselive where I was given full responsibility, as well as the -NL- chance to fully architect the app as I saw fit. Just as the premier league app, it provides information -NL- about the teams, tournaments, stats, standings of the Sevens Series. -NL- https://play.google.com/store/apps/details?id=org.worldrugby.sevens -NL- The last project I worked on, at Pulselive, was the Australian Football League official android app, as -NL- part of a 5 man team. I have joined the project when it was in it's final stages, to help with bug-fixing -NL- and polishing. Since the beta release in January, I have moved to implementing new features, as part -NL- of the phase 2 of the project. -NL- https://play.google.com/store/apps/details?id=com.telstra.android.afl -NL- Jun 2015–Feb 2016 **`Android Developer`[EMPLOYER_ROLE]** -NL- **`WowApp`[EMPLOYER_COMPANY_NAME]** -NL- Lacul Tei Street, Bucharest (Romania) -NL- I was a part of the team working on NobelApp, a communications app that allows users to make paid -NL- calls and send sms messages. My responsibilities included implementing the UI according to the -NL- provided design, insuring correct synchronization of the data with the server, and providing -NL- performance improvements throughout the app. -NL- https://play.google.com/store/apps/details?id=com.nobelglobe.nobelapp&hl=en -NL- Feb 2015–Jun 2015 **`Android Developer`[EMPLOYER_ROLE]** -NL- 13/5/19 -NL- © European Union, 2002-2019 | http://europass.cedefop.europa.eu -NL- Page 2 / 5 -NL- **`Curriculum vitae`[OTHERS_HEADING]** -NL- **`Andrei Stanciu `[NAME]**-NL- **`Conversion Performance Marketing`[EMPLOYER_COMPANY_NAME]** -NL- Bucuresti Nord, no. 15-23, Bucharest (Romania) -NL- The first project I started working on at Conversion was an app called Profitshare. Profitshare is an -NL- online affiliate marketing platform, and the app is aimed at already existing affiliates, providing them -NL- with a more easy way to access their information. The app was already published, and I worked on -NL- updating and fixing it. Eventually I ended up remaking it almost entirely, both the UI and the flow. The -NL- app it self is a rather simple one, requiring mostly just getting information from the web server via an -NL- API, and showing it to the user. I had the opportunity to learn more about the new Google Material -NL- Design, such as the new Ripple visual feedback, the 3D oriented visual interface, and the new -NL- animation system. -NL- https://play.google.com/store/apps/details?id=com.profitshare&hl=en -NL- I started working on the Conectoo App, which similar to Profitshare, is also aimed at existing clients. -NL- Conectoo is an email marketing platform, used by the biggest online retailers in Romania, and the app -NL- is aimed at providing them easier access to their information, such as campaign statistics and -NL- subscribers lists. In the future, the aim is to also allow the advertiser to create new campaigns from -NL- withing the app. Having started it from scratch, I had free reign over how to structure the app, making -NL- use of the Google recommended flows and design patterns. -NL- Mar 2012–Feb 2015 **`Android and Unity3D Developer`[EMPLOYER_ROLE]** -NL- **`Hypersense Software`[EMPLOYER_COMPANY_NAME]** -NL- Orzari street, no. 5, Bucharest (Romania) -NL- I developed the "Bachelorette Scavenger Hunt" and "Wedgie Hunt" apps, which meant my return to -NL- the native Android SDK, These apps (identical apart from the visual theme) allowed the user to create -NL- a "hunt", composed by different challenges. Other users would then sign in to that hunt, do the -NL- challenges in real world, and complete them in the up by uploading photos as proofs. It was the first -NL- app I made, that required interaction with a web server, helping me learn the basics of RESTful APIs. -NL- https://play.google.com/store/apps/details?id=com.ScavengerHunt2&hl=en -NL- https://play.google.com/store/apps/details?id=com.ScavangerHunt1&hl=en -NL- I developed "Terrible Parker", an app in which a user could take and upload photos un the server, as -NL- well as viewing photos uploaded by others. It also included comments sections for each photos. -NL- Working on this app helped me advance my knowledge of web server interaction. Unfortunately, due -NL- to some misunderstandings between my company and the client, the app was never published. -NL- I worked on the Sipergy Travel App. It was already started, and for the first time I had to work on a big -NL- project, that i had not started myself. Initially I was responsible with updating the graphics throughout -NL- the app, and changing part of the app flow, as it was based on CSipSimple, and we needed to give it a -NL- more distinct identity. Eventually I started working on the functionality itself, needing to fix numerous -NL- Sip related bugs. I also implemented 3 new modules, "Share Souvenirs" that allowed the user to take -NL- photos and share them on Facebook and Twitter, "Translate the world", that made use of the Google -NL- Translate API, and "Find free WiFi", that made use of the Google Maps API, and allowed the user to -NL- find free WiFi hotspots in his location (no longer available). -NL- Another app I developed was "Funtastic Words", an app similar to "Draw Something". It was a -NL- multiplayer app-game, that allowed a user to select a word, add multiple hints to it (drawing, recording -NL- sounds and videos), so that others could guess it. Unfortunately, the app was not published eventually. -NL- Autismate, aimed at children suffering from autism, was the biggest app I developed so far, it's -NL- development lasting for almost an year and a half. It was also my first contact with the Agile -NL- methodology. The biggest challenge was that almost everything in the app had to be customizable. -NL- The app was comprised of locations (such as a house, school, etc), each having its own set of scenes -NL- (such as rooms), each having its own set of hotspots. The user could customize everything, create his -NL- own locations, his own scenes, his own hotspots, and also import / export any of them. -NL- The hotspots themselves were rather complex, any could contain sounds, videos, links to other -NL- scenes in the app, visual step-by-step schedules (each step could further more contain sounds, -NL- videos, links) and choice boards (folder-like structures). Apart from learning how to structure and -NL- design the architecture of an app this complex, I also made use of the Ivonna TextToSpeech library -NL- (no longer available). -NL- 13/5/19 -NL- © European Union, 2002-2019 | http://europass.cedefop.europa.eu -NL- Page 3 / 5 -NL- **`Curriculum vitae`[OTHERS_HEADING]** -NL- **`Andrei Stanciu `[NAME]**-NL- I worked on developing "PlaneStory", which marked my return to Unity3D. This was more of an -NL- experimental app for the company, as I was the only one with a bit of experience in Unity3D, and I -NL- convinced them that it was the best solution for a multi-platform inhouse developed game. My -NL- main responsibility was implementing the actual gameplay mechanics, integrating specific Android -NL- functionalities (google cloud messaging, in-app purchases),and cpu/memory optimizations, all the -NL- while guiding the rest of the team into working with a game engine they were not familiar with. -NL- https://play.google.com/store/apps/details?id=com.hs.PlaneStory&hl=en -NL- Bird Rush was the next Unity3D game we developed, and was a bit more ambitious. It is a match-3 -NL- type of game, and my main responsibilities were making an efficient UI flow (we used nGui, a 3rd -NL- party library, as Unity's own was lacking in cpu performance), and the animations system. As I was -NL- also working on Autismate at the same time, I was not involved in the gameplay area, but eventually I -NL- ended up also taking care of memory and cpu optimizations. -NL- https://play.google.com/store/apps/details?id=com.hypersense.BirdQuest&hl=en -NL- Oct 2010–Mar 2011 **`Android and Unity3D Developer`[EMPLOYER_ROLE]** -NL- **`Newrosoft Software`[EMPLOYER_COMPANY_NAME]** -NL- Calea Rahovei 266-268, Bucharest (Romania) -NL- I developed the "Preschool Christmas Kitty" app. This was my first contact with the Android -NL- framework, and helped me learn it's basics. I only had Java knowledge at the time, and not having -NL- anyone in the company to guide me, I had to learn the Android specifics on my own. The app itself -NL- comprised of 7 mini games aimed at children: matching objects, spot the differences, find the object, -NL- puzzle, patterns, catch the snowflakes and find the right images. After a set of 4 won mini games, the -NL- user would receive a reward (such as an image of a toy) that he could position in a room, to decorate -NL- it. -NL- https://play.google.com/store/apps/details?id=com.elance&hl=en -NL- I started working on Trial Bike 2,in Unity3D. Also, this was my first contact with Unity3D and helped me -NL- get some basic knowledge in game development. It was a eD side scroller physics based game, and -NL- the biggest challenge was to get the wheel suspensions to work as natural as possible. -NL- **`EDUCATION AND TRAINING`[EDUCATION_HEADING]** -NL- 2007–Present -NL- **`University Politehnica of Bucharest`[EDUCATION_INSTITUTE]**, **`The Faculty of Automatic Control and Computers`[EDUCATION_DEGREE]**, -NL- Computers section, Bucharest (Romania) -NL- **`PERSONAL SKILLS`[OTHERS_HEADING]** -NL- Mother tongue(s) Romanian -NL- Foreign language(s) -NL- UNDERSTANDING -NL- SPEAKING -NL- WRITING -NL- Listening -NL- Reading -NL- Spoken interaction Spoken production -NL- English -NL- C2 -NL- C1 -NL- Levels: A1 and A2: Basic user - B1 and B2: Independent user - C1 and C2: Proficient user -NL- Common European Framework of Reference for Languages -NL- Job-related skills - Java, Kotlin -NL- - Solid knowledge of the Android SDK; -NL- - Very good understanding of an app life cycle and it's interaction with the Android OS; -NL- - Very good knowledge regarding UI/UX implementation -NL- - Experience working with RESTful apis -NL- - RXJava, RXAndroid, Dagger 2, Retrofit -NL- 13/5/19 -NL- © European Union, 2002-2019 | http://europass.cedefop.europa.eu -NL- Page 4 / 5 -NL- Curriculum vitae -NL- **`Andrei Stanciu `[NAME]**-NL- - Unit and Integration Testing, using Mockito and Espresso -NL- - Unity3D experience, having worked on 3 games so far; -NL- - Good C# knowledge (being the script language of choice, when developing for Unity3D); -NL- - Strong SQLite knowledge; -NL- - Ability to write well structured code, that is both easy to understand and maintain by other -NL- developers; -NL- - Experienced working with the GIT System; -NL- - Experienced working using the Agile Methodology; -NL- 13/5/19 -NL- © European Union, 2002-2019 | http://europass.cedefop.europa.eu -NL- Page 5 / 5 -NL- 